# Validation results for https://bgoonz-blog.netlify.app/

> Error: A charset attribute on a meta element found after the first 1024 bytes.

1.  **Error**: A `charset` attribute on a `meta` element found after the first 1024 bytes.

    [At line 1, column 29236](#cl1c29236)

2.  **Error**: Bad value `fetch` for attribute `as` on element [`link`](https://html.spec.whatwg.org/multipage/#the-link-element).

    [From line 1, column 30915; to line 1, column 31009](#l1c31009)

3.  **Error**: Bad value `fetch` for attribute `as` on element [`link`](https://html.spec.whatwg.org/multipage/#the-link-element).

    [From line 1, column 31010; to line 1, column 31097](#l1c31097)

4.  **Error**: An `img` element must have an `alt` attribute, except under certain conditions. For details, consult [guidance on providing text alternatives for images](http://www.w3.org/wiki/HTML/Usage/TextAlternatives 'About providing text alternatives for images.').

    [From line 36, column 11296; to line 36, column 11327](#l36c11327)

5.  **Error**: An `img` element must have an `alt` attribute, except under certain conditions. For details, consult [guidance on providing text alternatives for images](http://www.w3.org/wiki/HTML/Usage/TextAlternatives 'About providing text alternatives for images.').

    [From line 37, column 937; to line 37, column 974](#l37c974)

6.  **Error**: Bad value `Web Audio DAW` for attribute `id` on element [`section`](https://html.spec.whatwg.org/multipage/#the-section-element): An ID must not contain whitespace.

    [From line 37, column 3127; to line 37, column 3185](#l37c3185)

7.  **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 37, column 3858; to line 37, column 4117](#l37c4117)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

8.  **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 37, column 3858; to line 37, column 4117](#l37c4117)

9.  **Error**: Bad value `100%` for attribute `width` on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element): Expected a digit but saw `%` instead.

    [From line 37, column 4545; to line 37, column 4738](#l37c4738)

10. **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 37, column 4545; to line 37, column 4738](#l37c4738)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

11. **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 37, column 4545; to line 37, column 4738](#l37c4738)

12. **Error**: The `allowtransparency` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 37, column 4545; to line 37, column 4738](#l37c4738)

13. **Error**: Bad value for attribute `id` on element [`h2`](https://html.spec.whatwg.org/multipage/#the-h1,-h2,-h3,-h4,-h5,-and-h6-elements): An ID must not be the empty string.

    [From line 37, column 5483; to line 37, column 5492](#l37c5492)

14. **Warning**: Empty heading.

    [From line 37, column 5483; to line 37, column 5492](#l37c5492)

15. **Error**: Bad value `/neural networks` for attribute `href` on element [`a`](https://html.spec.whatwg.org/multipage/#the-a-element): Illegal character in path segment: space is not allowed.

    [From line 37, column 5732; to line 37, column 5758](#l37c5758)

16. **Error**: An `img` element must have an `alt` attribute, except under certain conditions. For details, consult [guidance on providing text alternatives for images](http://www.w3.org/wiki/HTML/Usage/TextAlternatives 'About providing text alternatives for images.').

    [From line 37, column 7136; to line 37, column 7166](#l37c7166)

17. **Error**: Bad value `/images/My Post.png` for attribute `src` on element [`img`](https://html.spec.whatwg.org/multipage/#the-img-element): Illegal character in path segment: space is not allowed.

    [From line 37, column 7575; to line 37, column 7606](#l37c7606)

18. **Error**: An `img` element must have an `alt` attribute, except under certain conditions. For details, consult [guidance on providing text alternatives for images](http://www.w3.org/wiki/HTML/Usage/TextAlternatives 'About providing text alternatives for images.').

    [From line 37, column 7575; to line 37, column 7606](#l37c7606)

19. **Error**: Bad value `Mini Projects` for attribute `id` on element [`section`](https://html.spec.whatwg.org/multipage/#the-section-element): An ID must not contain whitespace.

    [From line 37, column 7887; to line 37, column 7945](#l37c7945)

20. **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 37, column 8142; to line 39, column 68](#l39c68)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

21. **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 37, column 8142; to line 39, column 68](#l39c68)

22. **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 39, column 528; to line 41, column 69](#l41c69)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

23. **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 39, column 528; to line 41, column 69](#l41c69)

24. **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 41, column 399; to line 43, column 68](#l43c68)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

25. **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 41, column 399; to line 43, column 68](#l43c68)

26. **Error**: Duplicate ID `lorem-ipsum`.

    [From line 43, column 145; to line 43, column 201](#l43c201)

27. **Warning**: The first occurrence of ID `lorem-ipsum` was here.

    [From line 41, column 146; to line 41, column 202](#l41c202)

28. **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 43, column 397; to line 45, column 69](#l45c69)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

29. **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 43, column 397; to line 45, column 69](#l45c69)

30. **Error**: Attribute `allow` not allowed on element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element) at this point.

    [From line 45, column 417; to line 47, column 68](#l47c68)

    Attributes for element [`iframe`](https://html.spec.whatwg.org/multipage/#the-iframe-element):

    [Global attributes](https://html.spec.whatwg.org/multipage/#global-attributes)

    `[src](https://html.spec.whatwg.org/multipage/#attr-iframe-src)` — Address of the resource

    `[srcdoc](https://html.spec.whatwg.org/multipage/#attr-iframe-srcdoc)` — A document to render in the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`

    `[name](https://html.spec.whatwg.org/multipage/#attr-iframe-name)` — Name of [nested browsing context](https://html.spec.whatwg.org/multipage/#nested-browsing-context)

    `[sandbox](https://html.spec.whatwg.org/multipage/#attr-iframe-sandbox)` — Security rules for nested content

    `[allowfullscreen](https://html.spec.whatwg.org/multipage/#attr-iframe-allowfullscreen)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[requestFullscreen()](https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen)`

    `[allowpaymentrequest](https://html.spec.whatwg.org/multipage/#attr-iframe-allowpaymentrequest)` — Whether the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents are allowed to use the `[PaymentRequest](https://w3c.github.io/payment-request/#dom-paymentrequest)` interface to make payment requests

    `[allowusermedia](https://html.spec.whatwg.org/multipage/#attr-iframe-allowusermedia)` — Whether to allow the `[iframe](https://html.spec.whatwg.org/multipage/#the-iframe-element)`'s contents to use `[getUserMedia()](https://w3c.github.io/mediacapture-main/#dom-mediadevices-getusermedia)`

    `[width](https://html.spec.whatwg.org/multipage/#attr-dim-width)` — Horizontal dimension

    `[height](https://html.spec.whatwg.org/multipage/#attr-dim-height)` — Vertical dimension

    `[referrerpolicy](https://html.spec.whatwg.org/multipage/#attr-iframe-referrerpolicy)` — [Referrer policy](https://w3c.github.io/webappsec-referrer-policy/#referrer-policy) for [fetches](https://fetch.spec.whatwg.org/#concept-fetch) initiated by the element

31. **Error**: The `frameborder` attribute on the `iframe` element is obsolete. [Use CSS instead](http://wiki.whatwg.org/wiki/Presentational_elements_and_attributes 'About using CSS instead of presentational elements and attributes.').

    [From line 45, column 417; to line 47, column 68](#l47c68)

32. **Error**: Duplicate ID `lorem-ipsum`.

    [From line 47, column 145; to line 47, column 200](#l47c200)

33. **Warning**: The first occurrence of ID `lorem-ipsum` was here.

    [From line 41, column 146; to line 41, column 202](#l41c202)

34. **Warning**: This document appears to be written in English. Consider adding `lang="en"` (or variant) to the `html` start tag.

    [From line 1, column 16; to line 1, column 21](#l1c21)

There were errors.

## Image report

The `img` elements of the page are shown below categorized by their type of textual alternative. Please review that the images in each group match that group's definition.

### No textual alternative available, not linked

The following images are not links and have no textual alternative available (no `alt` attribute), and are, therefore, not accessible to people who cannot see the images or understand the symbols in them.

An image belongs here if the image is significant (non-decorative) and the markup generator doesn't have knowledge on what the image is about available. For example, a photo gallery generator does not have textual alternatives available when the user refuses to provide them.

Purely decorative images should have the empty string as the textual alternative (`alt=""`), so it is a mistake for those to appear here. Also, when the markup writer knows what the images are about, (s)he should write textual alternatives.

| Image                                                         | Location                                                           |
| ------------------------------------------------------------- | ------------------------------------------------------------------ |
| ![](https://bgoonz-blog.netlify.app/images/my-back.png)       | [From line 36, column 11296; to line 36, column 11327](#l36c11327) |
| ![](https://bgoonz-blog.netlify.app/images/panoramic-owl.png) | [From line 37, column 937; to line 37, column 974](#l37c974)       |
| ![](https://bgoonz-blog.netlify.app/images/resume.jpg)        | [From line 37, column 7136; to line 37, column 7166](#l37c7166)    |
| ![](https://bgoonz-blog.netlify.app/images/My%20Post.png)     | [From line 37, column 7575; to line 37, column 7606](#l37c7606)    |

### Empty textual alternative—Omitted from non-graphical presentation

The following images are marked to be omitted from non-graphical presentations (`alt=""`).

Purely decorative images belong in this category. Also, iconic images that are redundant with text next to them belong here.

If the page would become less understandable if the presence of an image was concealed, the image doesn't belong here. In that case, a textual alternative should be supplied or if the markup generator does not have a textual alternative available (because the user refused to provide it), the `alt` attribute should be omitted by the markup generator.

| Image                                                                    | Location                                                           |
| ------------------------------------------------------------------------ | ------------------------------------------------------------------ |
| ![](https://img.icons8.com/color/96/000000/gmail.png)                    | [From line 36, column 10051; to line 36, column 10118](#l36c10118) |
| ![](https://img.icons8.com/color/96/000000/youtube.png)                  | [From line 36, column 10197; to line 36, column 10266](#l36c10266) |
| ![](https://img.icons8.com/color/96/000000/instagram-new.png)            | [From line 36, column 10321; to line 36, column 10396](#l36c10396) |
| ![](https://img.icons8.com/color/96/000000/pinterest--v1.png)            | [From line 36, column 10456; to line 36, column 10531](#l36c10531) |
| ![](https://img.icons8.com/color/96/000000/linkedin.png)                 | [From line 36, column 10597; to line 36, column 10667](#l36c10667) |
| ![](https://img.icons8.com/color/96/000000/medium-logo.png)              | [From line 36, column 10714; to line 36, column 10787](#l36c10787) |
| ![](https://bgoonz-blog.netlify.app/_static/app-assets/neural.png)       | [From line 37, column 6025; to line 37, column 6074](#l37c6074)    |
| ![](https://bgoonz-blog.netlify.app/_static/app-assets/lambda-demo1.gif) | [From line 37, column 7698; to line 37, column 7753](#l37c7753)    |

### Images with textual alternative

The following images have textual alternatives. Please review that the textual alternatives make sense considering the purpose of the image in the context of the page and that phrases like "Image of …" are avoided.

Note that iconic images that are redundant with text next to them or purely decorative should have `alt=""` instead.

| Image                                                                | Textual alternative       | Location                                                        |
| -------------------------------------------------------------------- | ------------------------- | --------------------------------------------------------------- |
| ![](https://bgoonz-blog.netlify.app/images/logo-circle.png)          | webdevhub logo            | [From line 36, column 402; to line 36, column 458](#l36c458)    |
| ![](https://bgoonz-blog.netlify.app/images/smiling-maple.png)        | python                    | [From line 37, column 252; to line 37, column 302](#l37c302)    |
| ![](https://bgoonz-blog.netlify.app/images/successful-panda.gif)     | img of dtw                | [From line 37, column 1471; to line 37, column 1528](#l37c1528) |
| ![](https://bgoonz-blog.netlify.app/images/pleasant-birch.png)       | img of react              | [From line 37, column 2072; to line 37, column 2129](#l37c2129) |
| ![](https://bgoonz-blog.netlify.app/images/curious-mustard.png)      | Every idea needs a medium | [From line 37, column 2603; to line 37, column 2674](#l37c2674) |
| ![](https://bgoonz-blog.netlify.app/images/goals.jpg)                | medium                    | [From line 37, column 3282; to line 37, column 3324](#l37c3324) |
| ![](https://bgoonz-blog.netlify.app/images/spectacular-turmeric.png) | angolia                   | [From line 37, column 5205; to line 37, column 5263](#l37c5263) |
| ![](https://bgoonz-blog.netlify.app/images/neural.png)               | neural networks           | [From line 37, column 5635; to line 37, column 5687](#l37c5687) |
| ![](https://bgoonz-blog.netlify.app/images/jamstack.png)             | jamstack                  | [From line 37, column 6216; to line 37, column 6263](#l37c6263) |

## Source

1.  ` <!DOCTYPE html>**<html>**<head><style data-href="/styles.667ae0e327a89ba1d392.css" id="gatsby-global-css">html{line-height:1.15;-webkit-text-size-adjust:100%}body{margin:0}main{display:block}hr{box-sizing:content-box;height:0;overflow:visible}a{background-color:transparent}a:focus{outline:thin dotted}a:active,a:hover{outline:0}abbr[title]{border-bottom:none;text-decoration:underline;-webkit-text-decoration:underline dotted;text-decoration:underline dotted}b,strong{font-weight:700}.font-fira-sans b,.font-fira-sans strong{font-weight:600}code,kbd,pre,samp{font-family:SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}img{border-style:none;vertical-align:middle}button,input,optgroup,select,textarea{font-family:inherit;font-size:100%;line-height:1.15;margin:0}button,input{overflow:visible}button,select{text-transform:none}[type=button],[type=reset],[type=submit],button{-webkit-appearance:button}[type=button]::-moz-focus-inner,[type=reset]::-moz-focus-inner,[type=submit]::-moz-focus-inner,button::-moz-focus-inner{border-style:none;padding:0}[type=button]:-moz-focusring,[type=reset]:-moz-focusring,[type=submit]:-moz-focusring,button:-moz-focusring{outline:1px dotted ButtonText}fieldset{padding:.35em .75em .625em}legend{box-sizing:border-box;color:inherit;display:table;max-width:100%;padding:0;white-space:normal}progress{vertical-align:baseline}textarea{overflow:auto}[type=checkbox],[type=radio]{box-sizing:border-box;padding:0}[type=number]::-webkit-inner-spin-button,[type=number]::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}[type=search]::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}details{display:block}summary{display:list-item}[hidden],template{display:none}html{font-family:Lato,Helvetica,Arial,sans-serif;font-size:100%}body{background:#f8f8fa;color:#424b5f;line-height:1.625;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;overflow:auto}a{color:#00c6ff;text-decoration:underline;text-decoration-thickness:1px;text-underline-offset:.125em;transition:color .3s ease}a:hover{color:#424b5f}iframe{overflow-y:auto;overflow-x:auto;border-radius:12px;border:2px solid gold;height:1200px;width:1150px!important}h1,h2,h3,h4,h5,h6{color:#283040;font-weight:700;line-height:1.2;margin:1.5em 0 .5em;text-rendering:optimizeLegibility}h1:first-child,h2:first-child,h3:first-child,h4:first-child,h5:first-child,h6:first-child{margin-top:0}h1{font-size:2em}h2{font-size:1.75em}h3{font-size:1.5em}h4{font-size:1.25em}h5{font-size:1.125em}h6{font-size:1em}p{margin:0 0 1em}ins,mark{background:#fff7e6;color:#283040;padding:.15em;text-decoration:none}pre{background:#283040;border-radius:3px;color:#f8f8fa;font-size:.875em;line-height:1.5;margin:1.14286em 0;overflow:auto;padding:1.5em;text-align:left;white-space:pre;word-spacing:normal;word-break:normal;word-wrap:normal}pre:first-child{margin-top:0}:not(pre)>code{background:#ecedf2;border-radius:3px;color:#424b5f;font-size:.875rem;padding:.15em;white-space:normal}blockquote{border-left:5px solid #00c6ff;font-size:1.25em;line-height:1.4;margin:1.25em 0;padding:0 0 0 1em}blockquote:first-child{margin-top:0}blockquote p{margin-bottom:.5em}blockquote cite,blockquote small{color:#67758d;display:block;font-size:.75em;font-style:normal;font-weight:400;line-height:1.5;margin-top:.5em}dl{margin:0}dt{font-weight:700}dd,ol,ul{margin:0 0 1em}ul{list-style:disc;padding:0 0 0 1.125em}ol{list-style:decimal;padding:0 0 0 1.5em}li>ol,li>ul{margin-bottom:0}hr{background-color:#dde0e7;border:0;height:1px;margin:1.875em 0}hr:first-child{margin-top:0}img{height:auto;max-width:100%}@media only screen and (min-width:841px){blockquote{font-size:1.5em;line-height:1.3}h1{font-size:2.5em}h2{font-size:2.125em}h3{font-size:1.875em}h4{font-size:1.5em}h5{font-size:1.25em}h6{font-size:1.125em}}table{border-collapse:collapse;border-spacing:0;line-height:1.5;margin:0;max-width:100%;width:100%}caption,table{text-align:left}caption{color:#67758d;font-size:.875em;font-style:normal;margin-bottom:1em}td,th{border-bottom:1px solid #dde0e7;padding:.5em 5px}th{color:#283040;font-weight:700}:not(.responsive-table)>table{display:block;margin:1.875em 0;overflow-x:auto;-webkit-overflow-scrolling:touch}:not(.responsive-table)>table:first-child{margin-top:0}:not(.responsive-table)>table tbody,:not(.responsive-table)>table thead,:not(.responsive-table)>table tr{width:100%}:not(.responsive-table)>table td{min-width:10em}.responsive-table{display:block;margin:1.875em 0;overflow-x:auto;width:100%}.responsive-table:first-child{margin-top:0}label{color:#283040;font-weight:700;line-height:1.5;margin-bottom:.25em}input[type=checkbox]+label,input[type=radio]+label{font-weight:400;cursor:pointer;padding-left:.25em;padding-right:1em}input[type=email],input[type=number],input[type=password],input[type=search],input[type=tel],input[type=text],input[type=url],select,textarea{background:#fff;border:1px solid #dde0e7;border-radius:3px;box-shadow:none;box-sizing:border-box;color:#283040;display:block;font-size:1em;font-weight:400;line-height:1.5;max-width:100%;padding:.5em;width:100%}input[type=email]:focus,input[type=number]:focus,input[type=password]:focus,input[type=search]:focus,input[type=tel]:focus,input[type=text]:focus,input[type=url]:focus,select:focus,textarea:focus{outline:0}::-webkit-input-placeholder{color:#9aa4b9;opacity:1}:-ms-input-placeholder{color:#9aa4b9;opacity:1}::placeholder{color:#9aa4b9;opacity:1}.form-row{margin-bottom:1em}.form-submit{margin-top:1.66667em}.button{align-items:center;background:#00c6ff;border:0;border-radius:1.75em;box-shadow:none;box-sizing:border-box;color:#fff;cursor:pointer;display:inline-flex;font-size:.875em;font-weight:700;justify-content:center;letter-spacing:.035em;line-height:1.2;opacity:1;padding:.9em 2.14285em;text-decoration:none;transition:.3s ease;vertical-align:middle}.button:active,.button:focus,.button:hover{color:#fff;opacity:.8;outline:0}.button-secondary{background:0!important;box-shadow:inset 0 0 0 2px currentColor;color:#00c6ff}.button-secondary:active,.button-secondary:focus,.button-secondary:hover{box-shadow:inset 0 0 0 3px currentColor;color:#00c6ff;opacity:1}.button-icon{background:0!important;border:0;color:inherit;font-size:1em;font-weight:400;letter-spacing:normal;padding:.25em}.button-icon:active,.button-icon:focus,.button-icon:hover{color:#00c6ff;opacity:1}#menu-close,#menu-open,.docs-nav .docs-nav-toggle,.docs-nav .docs-submenu-toggle,.submenu-toggle{background:0;border:0;border-radius:0;box-shadow:none;color:inherit;cursor:pointer;display:block;font-size:inherit;height:30px;padding:0;position:relative;width:30px}#menu-close:active,#menu-close:focus,#menu-close:hover,#menu-open:active,#menu-open:focus,#menu-open:hover,.docs-nav .docs-nav-toggle:active,.docs-nav .docs-nav-toggle:focus,.docs-nav .docs-nav-toggle:hover,.docs-nav .docs-submenu-toggle:active,.docs-nav .docs-submenu-toggle:focus,.docs-nav .docs-submenu-toggle:hover,.submenu-toggle:active,.submenu-toggle:focus,.submenu-toggle:hover{outline:0}.icon{color:inherit;fill:currentColor;flex-shrink:0;height:1em;line-height:1;width:1em}.icon-close,.icon-menu{background:currentColor;border-radius:1px;color:inherit;height:2px;left:50%;margin-top:-1px;margin-left:-12px;position:absolute;top:50%;width:24px}.icon-close:after,.icon-close:before,.icon-menu:after,.icon-menu:before{background:currentColor;border-radius:1px;content:"";height:100%;left:0;position:absolute;width:100%}.icon-menu:before{top:-6px}.icon-menu:after{bottom:-6px}.icon-close{background:0;margin-left:-14px;width:28px}.icon-close:before{top:0;-webkit-transform:rotate(45deg);transform:rotate(45deg)}.icon-close:after{top:0;-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.icon-angle-right{background:0;border-color:currentcolor;border-style:solid;border-width:1px 1px 0 0;box-sizing:border-box;height:8px;left:50%;margin-left:-4px;margin-top:-4px;position:absolute;top:50%;width:8px;-webkit-transform:rotate(45deg);transform:rotate(45deg)}.docs-nav-toggle .icon-angle-right{height:12px;left:auto;margin-left:0;margin-right:9px;margin-top:-6px;right:0;width:12px}.docs-section-item .icon-angle-right{left:auto;margin-left:0;margin-right:15px;right:0}.screen-reader-text{clip:rect(1px,1px,1px,1px);-webkit-clip-path:polygon(0 0,0 0,0 0,0 0);clip-path:polygon(0 0,0 0,0 0,0 0);height:1px;overflow:hidden;position:absolute!important;width:1px;word-wrap:normal!important}.line-left{position:relative}.line-left:after{background:#00c6ff;display:block;content:"";height:100%;left:-1px;position:absolute;top:0;width:5px}.js-reframe{margin:1.875em 0}.js-reframe:first-child{margin-top:0}.important,.note{border-radius:5px;color:#283040;margin:1.875em 0;padding:1em 1.125em}.important:first-child,.note:first-child{margin-top:0}.note{background:#fff7e6;border-left:5px solid #fcb41d}.important{background:#ffe9e6;border-left:5px solid #fc381d}.has-gradient{background:#00c6ff;background:linear-gradient(90deg,#0072ff,#00c6ff);color:#fff;position:relative}.has-gradient a:not(.button),.has-gradient h1,.has-gradient h2,.has-gradient h3,.has-gradient h4,.has-gradient h5,.has-gradient h6{color:inherit!important}.has-gradient a:not(.button):hover{opacity:.8}.has-gradient .button:not(.button-secondary){background-color:#fff;color:#00c6ff}.has-gradient .button:not(.button-secondary):active,.has-gradient .button:not(.button-secondary):focus,.has-gradient .button:not(.button-secondary):hover{opacity:.85}.has-gradient .button-secondary{color:#fff!important}.has-gradient .inner-sm{position:relative}.bg-img{-webkit-animation:fadeIn20 .75s ease-in-out;animation:fadeIn20 .75s ease-in-out;background-position:50%;background-size:cover;bottom:0;left:0;opacity:.2;position:absolute;right:0;top:0}.grid{display:flex;flex-wrap:wrap;margin-left:-.9375em;margin-right:-.9375em}.grid-item{box-sizing:border-box;padding-left:.9375em;padding-right:.9375em;position:relative;width:100%}.grid-center{justify-content:center}.grid-swap{flex-direction:row-reverse}.grid-middle{align-items:center}@media only screen and (min-width:641px){.grid-col-2 .grid-item{flex:0 0 50%;max-width:50%}}@media only screen and (min-width:761px){.grid-col-3 .grid-item{flex:0 0 33.333%;max-width:33.333%}}@media only screen and (max-width:600px){.grid{margin-left:-1.5vw;margin-right:-1.5vw}.grid-item{padding-left:1.5vw;padding-right:1.5vw}}@-webkit-keyframes fadeIn20{0%{opacity:0}to{opacity:.2}}@keyframes fadeIn20{0%{opacity:0}to{opacity:.2}}.site{display:flex;flex-direction:column;min-height:100vh;position:relative}.site-content{box-sizing:border-box;flex-grow:1;width:100%}.outer{padding-left:3vw;padding-right:3vw}.inner{max-width:1200px}.inner,.inner-md{margin-left:auto;margin-right:auto}.inner-md{max-width:800px}.inner-sm{margin-left:auto;margin-right:auto;max-width:680px}.site-header{background:#000;background-image:url(https://i.imgur.com/L4BIbgl.mp4);padding-bottom:.2em;padding-top:.2em}.site-header-inside{align-items:center;display:flex}.site-branding{flex:0 1 auto}.site-title{color:#283040;font-size:1.5em;font-weight:700;line-height:1.2;margin:0}.site-logo{margin:0}.site-logo img{max-height:36px}.menu,.submenu{list-style:none;margin:0;padding:0}.menu-item{position:relative}.menu-item.current{color:#00c6ff}.menu-item a:not(.button){display:inline-block;font-size:.9375em;line-height:1.5}#masthead a:not(.button){color:inherit;display:inline-block;text-decoration:none}#masthead a:not(.button):hover{color:#00c6ff}#masthead .site-branding a:hover{color:inherit}@media only screen and (min-width:801px){#menu-close,#menu-open{display:none}.site-navigation{margin-left:auto}.menu{align-items:center;display:flex}.menu-item{display:inline-block;margin:0 0 0 1.25em;padding-bottom:.1875em;padding-top:.1875em}.menu-item a{padding-bottom:.5em;padding-top:.5em}.menu-item a.button:not(.button-icon){padding-left:1.25em;padding-right:1.25em}.menu-item.has-children>a{padding-right:15px;position:relative}.menu-item.has-children>a:after{background:0;border-color:currentcolor;border-style:solid;border-width:1px 1px 0 0;box-sizing:border-box;content:"";height:6px;position:absolute;right:0;top:50%;width:6px;-webkit-transform:translateY(-50%) rotate(135deg);transform:translateY(-50%) rotate(135deg)}.menu-item.has-children>a.button:not(.button-icon){padding-right:2.25em}.menu-item.has-children>a.button:not(.button-icon):after{right:1.25em}.menu-item .submenu-toggle{display:none}.menu-item.has-children:hover>.submenu{opacity:1;transition:margin .3s,opacity .2s;visibility:visible}.submenu{background:#fff;border:1px solid #dde0e7;border-radius:3px;box-shadow:0 1px 2px 0 rgba(0,0,0,.08);left:0;min-width:180px;opacity:0;padding:.5em 0;position:absolute;text-align:left;top:100%;transition:opacity .2s,visibility 0s .2s;visibility:hidden;width:100%;z-index:99}.submenu .menu-item{display:block;margin:0;padding:0 1em}.submenu a:not(.button-icon){display:block}.submenu a.button:not(.button-icon){margin:.5em 0}}@media only screen and (max-width:800px){.site{overflow:hidden;position:relative}.site-branding{margin-right:.625em}.site-header:after{background:rgba(66,75,95,.6);content:"";left:0;opacity:0;transition:opacity .15s ease-in-out,visibility 0s ease-in-out .15s;z-index:998}.site-header:after,.site-navigation{height:100vh;position:absolute;top:0;visibility:hidden;width:100%}.site-navigation{background:#fff;box-sizing:border-box;margin:0;max-width:360px;-webkit-overflow-scrolling:touch;right:-100%;transition:right .3s ease-in-out,visibility 0s ease-in-out .3s;z-index:999}.site-nav-inside{height:100%;overflow:auto;-webkit-overflow-scrolling:touch;position:relative}.menu--opened .site{height:100%;left:0;overflow:hidden;position:fixed;top:0;-webkit-transform:translateZ(0);transform:translateZ(0);width:100%;z-index:997}.menu--opened .site-navigation{right:0;transition:right .3s ease-in-out;visibility:visible}.menu--opened .site-header:after{opacity:1;transition-delay:0s;visibility:visible}.menu{padding:calc(3vw + 2.8125em) 3vw 3em}.submenu{border-top:1px solid #dde0e7;display:none;padding-left:1em}.menu-item{display:block;margin:0}.menu-item:not(.menu-button){border-bottom:1px solid #dde0e7}.menu-item:not(.menu-button):first-child{border-top:1px solid #dde0e7}.menu-item a.button-icon,.menu-item a:not(.button){padding:.75em 0}.menu-item a:not(.button){display:block}.menu-item a.button:not(.button-icon){width:100%}.menu-item.has-children>a{margin-right:2em}.menu-item .menu-item:first-child{border-top:0}.menu-item .menu-item:last-child{border-bottom:0}.menu-item .submenu-toggle{color:#67758d;height:2.8125em;position:absolute;right:0;top:0}.menu-item.active .submenu-toggle .icon-angle-right{-webkit-transform:rotate(135deg);transform:rotate(135deg)}.menu-item.active .submenu{display:block}.menu-button>.button:not(.button-icon){margin-bottom:1.25em;margin-top:1.25em}.menu-button+.menu-button>.button:not(.button-icon){margin-top:0}#menu-open{margin-left:auto}#menu-close{display:block;position:absolute;right:3vw;top:3vw}}.post{margin-bottom:2.5em}.post-feed:last-child,.post-full:last-child{margin-bottom:5em}.has-gradient.page-header,.has-gradient.post-header{padding-bottom:9.5em;padding-top:3.75em;text-align:center}.has-gradient .page-title,.has-gradient .post-title{color:inherit;font-size:2.25em;margin:0}.page-subtitle,.post-subtitle{font-size:1.125em;line-height:1.5;margin:.5em 0 0;position:relative}.post-title a{color:inherit!important;text-decoration:none}.post-thumbnail{border:0;border-radius:5px 5px 0 0;display:block;margin:0}.post-thumbnail img{border-radius:5px 5px 0 0;width:100%}.post-feed,.post-full .post-content{margin-top:-5em;position:relative}.post-feed .post,.post-full .post-content{background:#fff;border:1px solid #dde0e7;border-radius:5px;box-shadow:0 1px 2px 0 rgba(0,0,0,.08)}.post-full .post-content{padding:2.5em 1.5em}.post-full .post-meta{margin:0 0 .5em}.post-feed .post{padding:0 0 2.5em}.post-feed .post-meta{color:#67758d;font-size:.875em;margin:0 0 .5em;padding-left:1.71428em;padding-right:1.71428em}.post-feed .post-header{margin:0 0 1.25em;padding-top:1.875em}.post-feed .post-title{font-size:1.5em;margin:0;padding-left:1em;padding-right:1em}.post-feed .post-excerpt{margin-bottom:1.25em;padding-left:1.5em;padding-right:1.5em}.post-feed .read-more{margin:0;padding-left:1.5em;padding-right:1.5em}.post-feed .read-more-link{font-weight:700;text-decoration:none}.post-feed .read-more-link:after{font-size:1.125em;content:"\2192";line-height:1.5;margin-left:5px}.post-feed .read-more-link:hover{color:#424b5f}@media only screen and (min-width:641px){.has-gradient .page-title,.has-gradient .post-title{font-size:3em}.page-subtitle,.post-subtitle{font-size:1.25em}.post-full .post-meta{font-size:1.125em}.post-feed .post-excerpt,.post-feed .post-meta,.post-feed .post-title,.post-feed .read-more,.post-full .post-content{padding-left:7%;padding-right:7%}}@media only screen and (max-width:1000px){.post{margin-bottom:4vw}}.docs-content{padding-top:2.5em;width:70em}.post.type-docs{margin-bottom:3.625em}.post.type-docs h1{font-size:1.875em}.post.type-docs h2{font-size:1.5em}.post.type-docs h3{font-size:1.25em}.post.type-docs h4{font-size:1.125em}.post.type-docs h5,.post.type-docs h6{font-size:1em}.post.type-docs .hash-link{float:left;font-size:1.25rem;height:1em;line-height:1;margin-left:-1.1em;opacity:0;text-align:center;text-decoration:none;transition:opacity .2s;width:1em}.post.type-docs .hash-link:before{content:"#";display:inline-block}.post.type-docs .hash-link:focus,.post.type-docs .hash-link:hover{color:#00c6ff}.post.type-docs h2 .hash-link{margin-top:.22em}.post.type-docs h3 .hash-link{margin-top:.1em}.post.type-docs h2:focus .hash-link,.post.type-docs h2:hover .hash-link,.post.type-docs h3:focus .hash-link,.post.type-docs h3:hover .hash-link{opacity:1}.post.type-docs .post-inside{background:#fff;border:1px solid #dde0e7;border-radius:5px;box-shadow:0 1px 2px 0 rgba(0,0,0,.08);padding:.5em 0;width:1600px;zoom:.68}.post.type-docs .post-title{font-size:1.875em;margin:0 0 1.25em;padding:0 1em}.post.type-docs .post-content{padding:.875em}#docs-section-items{display:flex;flex-wrap:wrap;list-style:none;margin-left:-.3125em;margin-right:-.3125em;padding:0}#docs-section-items .docs-section-item{flex:1 1 240px}#docs-section-items .docs-item-link{border:1px solid #dde0e7;border-radius:3px;color:#283040;display:block;font-weight:700;padding:.9375em;position:relative;text-decoration:none;transition:border-color .3s ease,color .3s ease}#docs-section-items .docs-item-link:hover{border-color:#00c6ff;color:#00c6ff}.docs-nav{margin-bottom:1.875em}.docs-nav .docs-nav-toggle{color:#283040;font-size:1.125em;margin:0;padding-right:15px;text-align:left;width:90%}.docs-nav .docs-submenu-toggle{color:#67758d;position:absolute;right:0;top:0}#docs-menu{color:#283040;font-weight:700;line-height:1.5;list-style:none;margin:.3em;padding:0}#docs-menu>.docs-menu-item>a{padding:.1875em 0}#docs-menu a{color:inherit;display:block;text-decoration:none}#docs-menu .current,#docs-menu .current-parent,#docs-menu a:hover{color:#00c6ff}.docs-submenu{border-left:1px solid #dde0e7;color:#424b5f;display:none;font-size:.9375em;font-weight:400;list-style:none;margin-top:.625rem;padding-left:1rem}.docs-menu-item{color:inherit;margin-bottom:.625rem}.docs-menu-item.has-children{padding-right:30px;position:relative}.docs-menu-item.has-children.active .docs-submenu{display:block}.docs-menu-item.has-children.active>.docs-submenu-toggle .icon-angle-right{-webkit-transform:rotate(135deg);transform:rotate(135deg)}#page-nav{display:none}#page-nav .page-nav-title{font-size:1em;margin:0 0 .625em}#page-nav ul{font-size:.875rem;line-height:1.5;list-style:none;padding:0}#page-nav ul ul{border-left:1px solid #dde0e7;margin-top:.625rem;padding-left:1.25rem}#page-nav li{margin-bottom:.625rem}#page-nav li.active>a{color:#00c6ff}#page-nav a{color:#424b5f;display:block;text-decoration:none}#page-nav a:hover{color:#00c6ff}#page-nav .page-nav-title:only-child{display:none}@media only screen and (min-width:941px){.post.type-docs .post-content,.post.type-docs .post-title{padding-left:7%;padding-right:7%}}@media only screen and (min-width:1200px){.docs-content{display:flex;padding-top:3.75em;width:1600px}.post.type-docs{flex:1 1 auto;overflow:hidden}.docs-nav,.page-nav{flex-shrink:0;margin-bottom:5.625em}.docs-nav .sticky,.page-nav .sticky{position:sticky;top:1.875em}.docs-nav{width:8.5em}#page-nav{font-size:12px;margin:5em}#docs-nav-toggle{display:none}}@media only screen and (min-width:1091px){#page-nav{display:block}}@media only screen and (max-width:800px){.docs-nav{background:#fff;border:1px solid #dde0e7;border-radius:5px;box-shadow:0 1px 2px 0 rgba(0,0,0,.08);box-sizing:border-box;margin-bottom:5%;padding:.75em 1em}.docs-nav-menu{display:none}.docs-menu--opened .docs-nav-menu{display:block}.docs-menu--opened .docs-nav-toggle .icon-angle-right{-webkit-transform:rotate(135deg);transform:rotate(135deg)}#docs-menu{border-top:1px solid #dde0e7;margin-top:1.25em;padding-top:1.25em}}.block{padding-top:3.75em}.block:not(.block-hero){background:#f8f8fa}.block:last-child{padding-bottom:3.75em}.block-header,.block-image{margin-bottom:1.5em}.block-title{margin:0}.block-subtitle{color:#67758d;line-height:1.5;margin-bottom:0}.block-subtitle:not(:first-child){margin-top:.5em}.block-buttons,.grid-item-buttons{align-items:center;display:flex;flex-wrap:wrap;margin-bottom:.9375em}.block-buttons a,.grid-item-buttons a{font-weight:700;text-decoration:none}.block-buttons{justify-content:center}.block-buttons a{margin:0 .375em .75em}.grid-item-buttons a{margin:0 .75em .75em 0}.has-gradient .block-subtitle{color:inherit}.block-hero .block-buttons:not(:first-child),.block-text .block-buttons:not(:first-child){margin-top:1.875em}.block-text .grid-item{max-width:680px;text-align:center}.block-text .block-title{font-size:1.875em}@media only screen and (min-width:641px){.block-text .block-content{font-size:1.125em}.block-text .block-title{font-size:2.125em}}@media only screen and (min-width:801px){.block-text .grid-item:not(:only-child){flex:0 0 50%;max-width:50%}.block-body:not(:only-child){text-align:left}.block-body:not(:only-child) .block-buttons{justify-content:flex-start}.block-body:not(:only-child) .block-buttons a{margin-left:0;margin-right:.75em}}@media only screen and (min-width:1001px){.block-image:not(:only-child){padding-right:2.5em}.grid-swap .block-image:not(:only-child){padding-left:2.5em;padding-right:.9375em}}.block-cta .has-gradient{border-radius:5px;margin-bottom:1.875em;padding:3.75em 3vw 1.875em}.block-cta .block-header{max-width:680px;text-align:center}.block-cta .block-title{font-size:1.875em}.block-cta .block-subtitle{font-size:1.125em}@media only screen and (min-width:641px){.block-title{font-size:2.125em}}@media only screen and (min-width:801px){.block-cta .has-gradient{padding-left:7%;padding-right:7%}.block-cta .block-header{flex:0 0 66.666%;max-width:66.666%;text-align:left}.block-cta .block-buttons{flex:0 0 33.333%;margin-top:0;max-width:33.333%}}.block-hero+.block-grid:not(.has-header){background:0;padding-top:0}.block-grid .block-header{margin-bottom:2em;text-align:center}.block-grid .block-title{font-size:1.875em}.block-grid .grid-item{display:flex;flex-direction:column;margin-bottom:1.875em}.grid-item-inside{background:#fff;border:1px solid #dde0e7;border-radius:3px;box-shadow:0 1px 2px 0 rgba(0,0,0,.08);box-sizing:border-box;flex-grow:1;padding-bottom:.75em}.grid-item-image{display:block;width:100%}.grid-item-image,.grid-item-image img{border-radius:3px 3px 0 0}.grid-item-title{font-size:1.5em;margin:1em 0 .5em;padding-left:1em;padding-right:1em}.grid-item-title:first-child{margin-top:1.25em}.grid-item-title a{color:inherit!important;text-decoration:none}.grid-item-buttons,.grid-item-content{padding-left:1.5em;padding-right:1.5em}.grid-item-content{margin-bottom:1.25em}.grid-item-buttons a:not(.button):after{font-size:1.125em;content:"\2192";line-height:1.5;margin-left:5px}@media only screen and (max-width:1000px){.block-grid .grid-item{margin-bottom:4vw}}.block-hero{padding-bottom:7.5em;position:relative;text-align:center}.block-hero .block-header{margin-bottom:.75em}.block-hero .block-title{font-size:2.25em}.block-hero .block-content{font-size:1.125em;line-height:1.5}.block-hero+.block{margin-top:-5em;position:relative}@media only screen and (min-width:641px){.block-hero .block-title{font-size:3em}.block-hero .block-content{font-size:1.25em}.block-hero .block-buttons a{font-size:1em}}.site-footer{background-color:#fff;padding-bottom:1.5em;padding-top:1.5em}#colophon a:not(.button){color:inherit}#colophon a:not(.button):focus,#colophon a:not(.button):hover{color:#00c6ff}.site-info,.social-links{align-items:center;display:flex;flex-wrap:wrap;justify-content:center;font-size:.675em;line-height:1.2}.site-info .button:not(.button-icon),.social-links .button:not(.button-icon){font-size:inherit;line-height:1.2;padding:.3em 1em}.site-info{margin:.25em 0 0;text-align:center}.site-info .copyright,.site-info>a{margin:0 4px .2em 0}.social-links{margin-top:.5375em}.social-links a{margin:0 50px .2em}.social-links .icon{font-size:20px}@media only screen and (min-width:641px){.site-footer-inside{align-items:flex-start;display:flex}.site-info{text-align:left}.site-info,.social-links{justify-content:flex-start}.social-links{flex:0 0 auto;flex-wrap:nowrap;margin-left:auto;margin-top:0}.social-links a{margin-left:20px;margin-right:0}}.palette-green a:not(.button){color:#20c86e}.palette-green a:not(.button):hover{color:#424b5f}.palette-green blockquote{border-color:#20c86e}.palette-green .button,.palette-green .line-left:after{background:#20c86e}.palette-green .has-gradient{background:#20c86e;background:linear-gradient(90deg,#1ba65b,#20c86e)}.palette-green #colophon a:not(.button):hover,.palette-green #docs-menu .current,.palette-green #docs-menu .current-parent,.palette-green #docs-menu a:hover,.palette-green #masthead a:not(.button):hover,.palette-green #page-nav a:hover,.palette-green #page-nav li.active>a,.palette-green .button-icon:active,.palette-green .button-icon:focus,.palette-green .button-icon:hover,.palette-green .button-secondary,.palette-green .has-gradient .button:not(.button-secondary),.palette-green .menu-item.current,.palette-green .post.type-docs .hash-link:focus,.palette-green .post.type-docs .hash-link:hover{color:#20c86e}.palette-green #docs-section-items .docs-item-link:hover{border-color:#20c86e;color:#20c86e}.palette-navy a:not(.button){color:#004e92}.palette-navy a:not(.button):hover{color:#424b5f}.palette-navy blockquote{border-color:#004e92}.palette-navy .button,.palette-navy .line-left:after{background:#004e92}.palette-navy .has-gradient{background:#004e92;background:linear-gradient(90deg,#000428,#004e92)}.palette-navy #colophon a:not(.button):hover,.palette-navy #docs-menu .current,.palette-navy #docs-menu .current-parent,.palette-navy #docs-menu a:hover,.palette-navy #masthead a:not(.button):hover,.palette-navy #page-nav a:hover,.palette-navy #page-nav li.active>a,.palette-navy .button-icon:active,.palette-navy .button-icon:focus,.palette-navy .button-icon:hover,.palette-navy .button-secondary,.palette-navy .has-gradient .button:not(.button-secondary),.palette-navy .menu-item.current,.palette-navy .post.type-docs .hash-link:focus,.palette-navy .post.type-docs .hash-link:hover{color:#004e92}.palette-navy #docs-section-items .docs-item-link:hover{border-color:#004e92;color:#004e92}.palette-violet a:not(.button){color:#8e2de2}.palette-violet a:not(.button):hover{color:#424b5f}.palette-violet blockquote{border-color:#8e2de2}.palette-violet .button,.palette-violet .line-left:after{background:#8e2de2}.palette-violet .has-gradient{background:#8e2de2;background:linear-gradient(90deg,#4a00e0,#8e2de2)}.palette-violet #colophon a:not(.button):hover,.palette-violet #docs-menu .current,.palette-violet #docs-menu .current-parent,.palette-violet #docs-menu a:hover,.palette-violet #masthead a:not(.button):hover,.palette-violet #page-nav a:hover,.palette-violet #page-nav li.active>a,.palette-violet .button-icon:active,.palette-violet .button-icon:focus,.palette-violet .button-icon:hover,.palette-violet .button-secondary,.palette-violet .has-gradient .button:not(.button-secondary),.palette-violet .menu-item.current,.palette-violet .post.type-docs .hash-link:focus,.palette-violet .post.type-docs .hash-link:hover{color:#8e2de2}.palette-violet #docs-section-items .docs-item-link:hover{border-color:#8e2de2;color:#8e2de2}</style><meta name="generator" content="Gatsby 2.32.8"/><title data-react-helmet="true">Web-Dev-Hub</title><link data-react-helmet="true" rel="preconnect" href="https://fonts.gstatic.com"/><link data-react-helmet="true" href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;1,400;1,700&amp;display=swap" rel="stylesheet"/><link data-react-helmet="true" rel="icon" href="/images/webdevhublogo2.png"/><meta data-react-helmet="true" charSet="utf-8**"**/><meta data-react-helmet="true" name="viewport" content="width=device-width, initialScale=1.0"/><meta data-react-helmet="true" name="description" content="my resource sharing and blog site ... centered mostly on web development and just a bit of audio production / generally nerdy things I find interesting."/><meta data-react-helmet="true" property="og:type" content="website"/><meta data-react-helmet="true" property="og:title" content="Web-Dev-Hub"/><meta data-react-helmet="true" property="og:description" content="my resource sharing and blog site ... centered mostly on web development and just a bit of audio production / generally nerdy things I find interesting."/><meta data-react-helmet="true" property="og:image" content="https://bgoonz-blog.netlify.app/images/code.png"/><meta data-react-helmet="true" name="twitter:card" content="summary_large_image"/><meta data-react-helmet="true" name="twitter:title" content="Web-Dev-Hub"/><meta data-react-helmet="true" name="twitter:description" content="Web-Dev-Hub"/><meta data-react-helmet="true" name="twitter:image" content="https://bgoonz-blog.netlify.app/images/4.jpg"/><link as="script" rel="preload" href="/webpack-runtime-6c9e632a20f2c2aae8bc.js"/><link as="script" rel="preload" href="/framework-ee588a66ec21b993116b.js"/><link as="script" rel="preload" href="/app-3c57265fe85c14101a0f.js"/><link as="script" rel="preload" href="/styles-7d4153d260c0197f0043.js"/><link as="script" rel="preload" href="/29107295-4796dbfd2443d7c4719f.js"/><link as="script" rel="preload" href="/commons-648a18e188322b9f8fda.js"/><link as="script" rel="preload" href="/component---src-templates-advanced-js-c66268766ef5c957450f.js"/>**<link as="fetch" rel="preload" href="/page-data/index/page-data.json" crossorigin="anonymous"/>****<link as="fetch" rel="preload" href="/page-data/app-data.json" crossorigin="anonymous"/>**</head><body class="palette-navy"><script>``↩ `
2.  ` void function() {``↩ `
3.  ` window.__onThemeChange = function() {}``↩ `
4.  `↩`
5.  ` var preferredTheme``↩ `
6.  ` try {``↩ `
7.  ` preferredTheme = localStorage.getItem('theme')``↩ `
8.  ` } catch (err) { }``↩ `
9.  `↩`
10. ` function setTheme(newTheme) {``↩ `
11. ` if (preferredTheme && document.body.classList.contains(preferredTheme)) {``↩ `
12. ` document.body.classList.replace(preferredTheme, newTheme)``↩ `
13. ` } else {``↩ `
14. ` document.body.classList.add(newTheme)``↩ `
15. ` }``↩ `
16. `↩`
17. ` window.__theme = newTheme``↩ `
18. ` preferredTheme = newTheme``↩ `
19. ` window.__onThemeChange(newTheme)``↩ `
20. ` }``↩ `
21. `↩`
22. ` window.__setPreferredTheme = function(newTheme) {``↩ `
23. ` setTheme(newTheme)``↩ `
24. ` try {``↩ `
25. ` localStorage.setItem('theme', newTheme)``↩ `
26. ` } catch (err) {}``↩ `
27. ` }``↩ `
28. `↩`
29. ` var darkQuery = window.matchMedia('(prefers-color-scheme: dark)')``↩ `
30. ` darkQuery.addListener(function(e) {``↩ `
31. ` window.__setPreferredTheme(e.matches ? 'dark' : 'light')``↩ `
32. ` })``↩ `
33. `↩`
34. ` setTheme(preferredTheme || (darkQuery.matches ? 'dark' : 'light'))``↩ `
35. ` }()``↩ `
36. ` </script><noscript id="gatsby-noscript">This app works best with JavaScript enabled.</noscript><div id="___gatsby"><div style="outline:none" tabindex="-1" id="gatsby-focus-wrapper"><div id="page" class="site"><header id="masthead" class="site-header outer"><div class="inner"><div class="site-header-inside"><div class="site-branding"><p class="site-logo"><a aria-current="page" class="" href="/">**<img src="/images/logo-circle.png" alt="webdevhub logo"/>**</a></p></div><nav id="main-navigation" class="site-navigation" aria-label="Main Navigation"><div class="site-nav-inside"><button id="menu-close" class="menu-toggle"><span class="screen-reader-text">Open Menu</span><span class="icon-close" aria-hidden="true"></span></button><ul class="menu"><li class="menu-item current"><a aria-current="page" class="" href="/">Home</a></li><li class="menu-item has-children menu-button"><a target="_blank" rel="noopener " class="button button-secondary" href="/blog/">Blog</a><button class="submenu-toggle"><span class="icon-angle-right" aria-hidden="true"></span><span class="screen-reader-text">Sub-menu</span></button><ul class="submenu"><li class="menu-item menu-button"><a href="https://bgoonz.blogspot.com/" target="_blank" rel="noopener " class="button">Blog-Post-Archive</a></li><li class="menu-item menu-button"><a href="https://blog-w-comments.vercel.app/" class="button">Top Blog Posts</a></li><li class="menu-item menu-button"><a target="_blank" rel="noopener " class="button button-secondary" href="/docs/articles/ds-algo-overview/">ds-algo</a></li><li class="menu-item menu-button"><a target="_blank" rel="noopener " class="button button-secondary" href="/blog/platform-docs/">platform docs</a></li><li class="menu-item menu-button"><a target="_blank" rel="noopener " class="button button-secondary" href="/docs/articles/nodejs/">nodejs</a></li><li class="menu-item"><a href="/blogWcomments/">Blog w Comments</a></li></ul></li><li class="menu-item has-children"><a href="/docs/sitemap">Navigation</a><button class="submenu-toggle"><span class="icon-angle-right" aria-hidden="true"></span><span class="screen-reader-text">Sub-menu</span></button><ul class="submenu"><li class="menu-item menu-button"><a class="button" href="/docs">Docs</a></li><li class="menu-item menu-button"><a class="button" href="/showcase">Showcase</a></li><li class="menu-item menu-button"><a class="button" href="/docs/faq/contact">Contact!</a></li></ul></li><li class="menu-item has-children"><a href="https://github.com/bgoonz/UsefulResourceRepo2.0" target="_blank" rel="noopener ">Archive</a><button class="submenu-toggle"><span class="icon-angle-right" aria-hidden="true"></span><span class="screen-reader-text">Sub-menu</span></button><ul class="submenu"><li class="menu-item"><a href="https://bryanguner.medium.com/">Medium Articles</a></li><li class="menu-item menu-button"><a href="https://github.com/bgoonz/Learning-Assets" target="_blank" rel="noopener " class="button">Resource-Archive-Server</a></li><li class="menu-item menu-button"><a href="#" class="button button-secondary">Bootcamp Resources</a></li><li class="menu-item menu-button"><a href="https://web-dev-resource-hub.netlify.app/" target="_blank" rel="noopener " class="button">OG-Blog</a></li><li class="menu-item menu-button"><a class="button button-secondary" href="/gallery">Gallery</a></li><li class="menu-item menu-button"><a class="button" href="/docs">Top Repos</a></li><li class="menu-item menu-button"><a href="https://github.com/bgoonz/UsefulResourceRepo2.0" target="_blank" rel="noopener " class="button button-secondary">WebResourceRepo</a></li></ul></li><li class="menu-item has-children"><a href="#" target="_blank" rel="noopener ">Projects</a><button class="submenu-toggle"><span class="icon-angle-right" aria-hidden="true"></span><span class="screen-reader-text">Sub-menu</span></button><ul class="submenu"><li class="menu-item menu-button"><a href="https://potluck-landing.netlify.app/" target="_blank" rel="noopener " class="button">Potluck Planner</a></li><li class="menu-item menu-button"><a href="https://meditate42app.netlify.app/" target="_blank" rel="noopener " class="button">Meditation App</a></li><li class="menu-item menu-button"><a href="https://panoramic-eggplant-452e4.netlify.app/" target="_blank" rel="noopener " class="button">WebAudioLab</a></li></ul></li><li class="menu-item has-children"><a href="/docs/tools">Tools</a><button class="submenu-toggle"><span class="icon-angle-right" aria-hidden="true"></span><span class="screen-reader-text">Sub-menu</span></button><ul class="submenu"><li class="menu-item"><a href="https://githtmlpreview.netlify.app/" target="_blank" rel="noopener ">Github HTML Previewer</a></li><li class="menu-item"><a href="https://devtools42.netlify.app/" target="_blank" rel="noopener ">Text Tools</a></li><li class="menu-item"><a href="https://ternary42.netlify.app/" target="_blank" rel="noopener ">Ternary 2 If Else</a></li><li class="menu-item"><a href="https://determined-dijkstra-ee7390.netlify.app/" target="_blank" rel="noopener ">Job Search Resources</a></li><li class="menu-item"><a href="https://github.com/bgoonz/web-dev-setup-checker" target="_blank" rel="noopener ">Setup Checker</a></li><li class="menu-item menu-button"><a href="https://potluck-landing.netlify.app/" target="_blank" rel="noopener " class="button">PotluckPlanner</a></li><li class="menu-item"><a href="https://web-dev-interview-prep-quiz-website.netlify.app/">WebDev Quizzes</a></li><li class="menu-item menu-button"><a href="https://github.com/search/advanced" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12"></path></svg><span class="screen-reader-text">Github-Advanced-Search</span></a></li></ul></li><li class="menu-item menu-button"><a href="https://github.com/bgoonz/BGOONZ_BLOG_2.0" class="button">GitHub</a></li><li class="menu-item has-children menu-button"><a href="https://bgoonz-blog-v3-0.netlify.app/" class="button button-secondary">External Nav</a><button class="submenu-toggle"><span class="icon-angle-right" aria-hidden="true"></span><span class="screen-reader-text">Sub-menu</span></button><ul class="submenu"><li class="menu-item menu-button"><a href="https://friendly-panda-b61ab.netlify.app/" class="button">Embeds Blog</a></li><li class="menu-item menu-button"><a href="https://bgoonz-blog-v3-0.netlify.app/" class="button button-secondary">alt-blogs</a></li><li class="menu-item menu-button"><a href="https://bgoonz-games.netlify.app/" class="button button-secondary">Games</a></li><li class="menu-item menu-button"><a href="https://bgoonz-blog-v3-0.netlify.app/" target="_blank" rel="noopener " class="button">Blog Backup</a></li><li class="menu-item menu-button"><a href="https://bgoonz-cv.netlify.app/" class="button">Cover Letter</a></li><li class="menu-item menu-button"><a href="https://curious-zebra-a1329.netlify.app/" class="button">Project Centric</a></li><li class="menu-item menu-button"><a href="https://web-dev-hub.com/" target="_blank" rel="noopener " class="button button-secondary">Wordpress Blog</a></li><li class="menu-item menu-button"><a href="https://curious-zebra-a1329.netlify.app/" class="button button-secondary">Project Portfolio Gallery</a></li></ul></li></ul></div></nav><button id="menu-open" class="menu-toggle"><span class="screen-reader-text">Close Menu</span><span class="icon-menu" aria-hidden="true"></span></button></div></div><div><a class="github-corner" href="https://github.com/bgoonz/BGOONZ_BLOG_2.0" aria-label="View source on Github"><svg aria-hidden="true" width="80" height="80" viewBox="0 0 250 250" style="z-index:100000;fill:#194ccdaf;color:#fff;position:fixed;top:20px;border:0;left:20px;transform:scale(-1.5, 1.5)"><path d="M0,0 L115,115 L130,115 L142,142 L250,250 L250,0 Z"></path><path class="octo-arm" d="M128.3,109.0 C113.8,99.7 119.0,89.6 119.0,89.6 C122.0,82.7 120.5,78.6 120.5,78.6 C119.2,72.0 123.4,76.3 123.4,76.3 C127.3,80.9 125.5,87.3 125.5,87.3 C122.9,97.6 130.6,101.9 134.4,103.2" fill="currentColor" style="transform-origin:130px 106px"></path><path class="octo-body" d="M115.0,115.0 C114.9,115.1 118.7,116.5 119.8,115.4 L133.7,101.6 C136.9,99.2 139.9,98.4 142.2,98.6 C133.8,88.0 127.5,74.4 143.8,58.0 C148.5,53.4 154.0,51.2 159.7,51.0 C160.3,49.4 163.2,43.6 171.4,40.1 C171.4,40.1 176.1,42.5 178.8,56.2 C183.1,58.6 187.2,61.8 190.9,65.4 C194.5,69.0 197.7,73.2 200.1,77.6 C213.8,80.2 216.3,84.9 216.3,84.9 C212.7,93.1 206.9,96.0 205.4,96.6 C205.1,102.4 203.0,107.8 198.3,112.5 C181.9,128.9 168.3,122.5 157.7,114.1 C157.9,116.9 156.7,120.9 152.7,124.9 L141.0,136.5 C139.8,137.7 141.6,141.9 141.8,141.8 Z" fill="currentColor"></path></svg></a></div></header><main id="content" class="site-content"><section id="Intro" class="block block-hero has-gradient outer"><div class="bg-img" style="background-image:url(&#x27;/images/cool annimation.gif&#x27;)"></div><div class="inner-sm"><div class="block-header"><h1 class="block-title">I am a musician, electrical engineer &amp; web developer</h1></div><div class="block-content"><h6 id="a-passionate-student-of-web-development-from-new-jersey-usa"><strong>A passionate student of web development from New Jersey U.S.A</strong></h6><p><a href="https://www.vagrantup.com/"></a><a href="mailto:bryan.guner@gmail.com">**<img src="https://img.icons8.com/color/96/000000/gmail.png" alt=""/>**</a><a href="https://www.youtube.com/channel/UC9-rYyUMsnEBK8G8fCyrXXA/videos">**<img src="https://img.icons8.com/color/96/000000/youtube.png" alt=""/>**</a><a href="https://www.instagram.com/bgoonz/?hl=en">**<img src="https://img.icons8.com/color/96/000000/instagram-new.png" alt=""/>**</a><a href="https://www.pinterest.com/bryanguner/_saved/">**<img src="https://img.icons8.com/color/96/000000/pinterest--v1.png" alt=""/>**</a><a href="https://www.linkedin.com/in/bryan-guner-046199128/">**<img src="https://img.icons8.com/color/96/000000/linkedin.png" alt=""/>**</a> <a href="https://bryanguner.medium.com/">**<img src="https://img.icons8.com/color/96/000000/medium-logo.png" alt=""/>**</a></p><p><a href="https://webpack.js.org/"></a><a href="https://www.adobe.com/products/xd.html"> </a></p></div><div class="block-buttons"><a href="https://friendly-panda-b61ab.netlify.app/contact/" target="_blank" rel="noopener " class="button button-secondary">Contact</a></div></div></section><section id="features" class="block block-grid outer"><div class="inner"><div class="block-content"><div class="grid grid-col-3"><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/my-back.png"/>**</div><h3 class="grid-item-title line-left"><a href="https://medium.com/star-gazers/a-quick-guide-to-big-o-notation-memoization-tabulation-and-sorting-algorithms-by-example-803ff193c522">A Quick Guide To Big O</a></h3><div class="grid-item-content"><p>Memoization, Tabulation, and Sorting Algorithms by Example``↩ `
37. ` Why is looking at runtime not a reliable method of calculating time complexity?</p></div><div class="grid-item-buttons"><a href="/docs">Get Started</a></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/smiling-maple.png" alt="python"/>**</div><h3 class="grid-item-title line-left"><a href="https://levelup.gitconnected.com/python-study-guide-for-a-native-javascript-developer-5cfdf3d2bdfb">Python Guide</a></h3><div class="grid-item-content"><p><em>Python has a built in help function that let's you see a description of the source code without having to navigate to it… "-SickNasty … Autor Unknown" .</em></p></div><div class="grid-item-buttons"><a href="https://levelup.gitconnected.com/python-study-guide-for-a-native-javascript-developer-5cfdf3d2bdfb">View Posts</a></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/panoramic-owl.png"/>**</div><h3 class="grid-item-title line-left"><a href="https://github.com/bgoonz/Revamped-Automatic-Guitar-Effect-Triggering">Guitar Effects Triggering w DTW</a></h3><div class="grid-item-content"><p>This section exists for me to day dream ideas for the future... and maybe... just maybe, hold myself accountable to them.</p></div><div class="grid-item-buttons"><a href="/docs/tools">Learn More</a></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/successful-panda.gif" alt="img of dtw"/>**</div><h3 class="grid-item-title line-left"><a href="https://bryanguner.medium.com/introductory-react-part-2-cda01615a186">Beginner Guide React</a></h3><div class="grid-item-content"><p>As I learn to build web applications in React I will blog about it in this series in an attempt to capture the questions that a complete beginner might encounter that a more seasoned developer would take for granted!</p></div><div class="grid-item-buttons"></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/pleasant-birch.png" alt="img of react"/>**</div><h3 class="grid-item-title line-left"><a href="https://dev.to/bgoonz/scope-and-context-in-javascript-5cma">Scope &amp; Closure</a></h3><div class="grid-item-content"><p>Scope &amp; Context in JS</p><p>The <strong>scope</strong> of a program in JavaScript is the set of variables that are available for use within the program. </p></div><div class="grid-item-buttons"></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/curious-mustard.png" alt="Every idea needs a medium"/>**</div><h3 class="grid-item-title line-left"><a href="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b">My Medium Blog</a></h3><div class="grid-item-content"><p>PostgreSQL Cheat Sheet, Everything You Need to Get Started With VSCode + Extensions &amp; Resources, Super Simple Intro To HTML, Understanding Git... etc....</p></div><div class="grid-item-buttons"></div></div></div></div></div></div></section>**<section id="Web Audio DAW" class="block block-text outer">**<div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-image">**<img src="/images/goals.jpg" alt="medium"/>**</div><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Web Audio DAW</h2></div><div class="block-buttons"><a href="https://mihirbegmusiclab.netlify.app/" target="_blank" rel="noopener " class="button">Go To Web Audio Daw</a></div></div></div></div></section><section id="guitar" class="block block-text outer"><div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Music</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);style="zoom:0.75" width="560" height="415" src="https://www.youtube.com/embed/xGZSWvFess8" title="YouTube video player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="">**</iframe></div><div class="block-buttons"><a href="https://www.youtube.com/channel/UC9-rYyUMsnEBK8G8fCyrXXA" target="_blank" rel="noopener ">Youtube</a></div></div></div></div></section><section id="Music" class="block block-text outer"><div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Spotify</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);style="zoom:0.75" src="https://open.spotify.com/embed/playlist/2VojZ70yfWaSeVfY2gjwVC?theme=0" width="100%" height="380" frameBorder="0"  allow="encrypted-media">**</iframe></div><div class="block-buttons"></div></div></div></div></section><section id="interests" class="block block-grid outer has-header"><div class="inner"><div class="block-header inner-sm"><h2 class="block-title">Current Interests</h2><p class="block-subtitle">From github repositories to existential questions.</p></div><div class="block-content"><div class="grid grid-col-3"><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/spectacular-turmeric.png" alt="angolia"/>**</div><h3 class="grid-item-title line-left"><a href="/angolia">Angolia</a></h3><div class="grid-item-content"><h2 id="full-text-search">Full Text Search</h2><p><a href="https://www.algolia.com/">Full Text Search</a></p>**<h2 id="">**</h2></div><div class="grid-item-buttons"></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/neural.png" alt="neural networks"/>**</div><h3 class="grid-item-title line-left">**<a href="/neural networks">**Convolutional Neural Networks</a></h3><div class="grid-item-content"><p>Artificial neural networks, usually simply called neural networks, are computing systems vaguely inspired by the biological <a href="https://github.com/tensorflow/tensorflow">neural networks</a>**<img src="/_static/app-assets/neural.png" alt=""/>**</p></div><div class="grid-item-buttons"></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/jamstack.png" alt="jamstack"/>**</div><h3 class="grid-item-title line-left"><a href="/jamstack">Jamstack</a></h3><div class="grid-item-content"><h2 id="why-jamstack">Why Jamstack</h2><p><em>Jamstack is the new standard architecture for the web. Using Git workflows and modern build tools, pre-rendered content is served to a CDN and made dynamic through APIs and serverless functions. Technologies in the stack include JavaScript frameworks, Static Site Generators, Headless CMSs, and CDNs.</em></p></div><div class="grid-item-buttons"></div></div></div></div></div></div></section><section id="features-two-col" class="block block-grid outer has-header"><div class="inner"><div class="block-header inner-sm"><h2 class="block-title">Resume &amp; Portfolio</h2></div><div class="block-content"><div class="grid grid-col-2"><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/resume.jpg"/>**</div><h3 class="grid-item-title line-left"><a href="https://github.com/bgoonz/resume-cv-portfolio-samples/raw/master/2021-resume/bryan-guner-resume-2021.pdf">Resume</a></h3><div class="grid-item-buttons"><a href="https://1drv.ms/b/s!AkGiZ9n9CRDSpLsZsnPtiN7p77vq6A">Learn More</a><a href="#">Download PDF</a></div></div></div><div class="grid-item"><div class="grid-item-inside"><div class="grid-item-image">**<img src="/images/My Post.png"/>**</div><h3 class="grid-item-title line-left">Showcase</h3><div class="grid-item-content"><p>**<img src="/_static/app-assets/lambda-demo1.gif" alt=""/>**My Projects!</p></div><div class="grid-item-buttons"><a href="/showcase">Learn More</a></div></div></div></div></div></div></section>**<section id="Mini Projects" class="block block-text outer">**<div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Mini Projects</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);style="zoom:0.75" width="800" height="575" src="https://iframeshowcase.netlify.app/" title="YouTube video**``↩ `
38. ` **player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write;**``↩ `
39. ` **encrypted-media; gyroscope; picture-in-picture" allowfullscreen="">**</iframe></div><div class="block-buttons"><a href="https://iframeshowcase.netlify.app/" target="_blank" rel="noopener " class="button">Go To Mini Projects Page</a></div></div></div></div></section><section id="code-playground" class="block block-text outer"><div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Code Playground(s)</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);class="inner" style="zoom:0.75" width="800" height="575" src="https://code-playground.netlify.app/index.html" title="YouTube video**``↩ `
40. ` **player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write;**``↩ `
41. ` **encrypted-media; gyroscope; picture-in-picture" allowfullscreen="">**</iframe></div><div class="block-buttons"></div></div></div></div></section>**<section id="lorem-ipsum" class="block block-text outer">**<div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Mini Projects</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);class="inner" style="zoom:0.75" width="800" height="575" src="https://random-list-of-embedable-content.vercel.app/" title="YouTube video**``↩ `
42. ` **player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write;**``↩ `
43. ` **encrypted-media; gyroscope; picture-in-picture" allowfullscreen="">**</iframe></div><div class="block-buttons"></div></div></div></div></section>**<section id="lorem-ipsum" class="block block-text outer">**<div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Blog-Archive</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);class="block-content" style="zoom:0.75" width="800" height="575" src="https://bgoonz.blogspot.com/" title="YouTube video**``↩ `
44. ` **player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write;**``↩ `
45. ` **encrypted-media; gyroscope; picture-in-picture" allowfullscreen="">**</iframe></div><div class="block-buttons"></div></div></div></div></section><section id="blog" class="block block-text outer"><div class="inner"><div class="grid grid-middle grid-center"><div class="grid-item block-body"><div class="block-header"><h2 class="block-title">Nextjs &amp; SanityCMS Blog W Comments</h2></div><div class="block-content">**<iframe  style="-webkit-transform:scale(0.7);-moz-transform-scale(0.7);class="block-content" style="zoom:0.75" width="800" height="575" src="https://blog-w-comments.vercel.app/" title="YouTube video**``↩ `
46. ` **player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write;**``↩ `
47. `**encrypted-media; gyroscope; picture-in-picture" allowfullscreen="">**</iframe></div><div class="block-buttons"></div></div></div></div></section>**<section id="lorem-ipsum" class="block block-cta outer">**<div class="inner"><div class="has-gradient"><div class="grid grid-middle grid-center"><div class="grid-item block-header"><h2 class="block-title">Contact</h2></div><div class="grid-item block-buttons"><a class="button" href="/mailto:bryan.guner@gmail.com">Contact</a></div></div></div></div></section></main><footer id="colophon" class="site-footer outer"><div class="inner"><div class="site-footer-inside"><p class="site-info"><span class="copyright">@bgoonz on almost every platform</span><a href="https://bryanguner.medium.com/" target="_blank" rel="noopener " class="button">Medium</a><a href="https://optimistic-lewin-8586ae.netlify.app/blm.zip" target="_blank" rel="noopener " class="button">BLM</a><a href="#" target="_blank" rel="noopener " class="button">Html Previewer</a><a href="https://github.com/bgoonz/PYTHON_PRAC" target="_blank" rel="noopener " class="button">Python</a></p><div class="social-links"><a href="https://twitter.com/bgooonz" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M23.954 4.569a10 10 0 01-2.825.775 4.958 4.958 0 002.163-2.723c-.951.555-2.005.959-3.127 1.184a4.92 4.92 0 00-8.384 4.482C7.691 8.094 4.066 6.13 1.64 3.161a4.822 4.822 0 00-.666 2.475c0 1.71.87 3.213 2.188 4.096a4.904 4.904 0 01-2.228-.616v.061a4.923 4.923 0 003.946 4.827 4.996 4.996 0 01-2.212.085 4.937 4.937 0 004.604 3.417 9.868 9.868 0 01-6.102 2.105c-.39 0-.779-.023-1.17-.067a13.995 13.995 0 007.557 2.209c9.054 0 13.999-7.496 13.999-13.986 0-.209 0-.42-.015-.63a9.936 9.936 0 002.46-2.548l-.047-.02z"></path></svg><span class="screen-reader-text">Twitter</span></a><a href="https://www.linkedin.com/in/bryan-guner-046199128/" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20.447 20.452h-3.554v-5.569c0-1.328-.027-3.037-1.852-3.037-1.853 0-2.136 1.445-2.136 2.939v5.667H9.351V9h3.414v1.561h.046c.477-.9 1.637-1.85 3.37-1.85 3.601 0 4.267 2.37 4.267 5.455v6.286zM5.337 7.433a2.062 2.062 0 01-2.063-2.065 2.064 2.064 0 112.063 2.065zm1.782 13.019H3.555V9h3.564v11.452zM22.225 0H1.771C.792 0 0 .774 0 1.729v20.542C0 23.227.792 24 1.771 24h20.451C23.2 24 24 23.227 24 22.271V1.729C24 .774 23.2 0 22.222 0h.003z"></path></svg><span class="screen-reader-text">LinkedIn</span></a><a href="https://github.com/bgoonz" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12"></path></svg><span class="screen-reader-text">GitHub</span></a><a href="https://www.youtube.com/channel/UC9-rYyUMsnEBK8G8fCyrXXA" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M23.495 6.205a3.007 3.007 0 00-2.088-2.088c-1.87-.501-9.396-.501-9.396-.501s-7.507-.01-9.396.501A3.007 3.007 0 00.527 6.205a31.247 31.247 0 00-.522 5.805 31.247 31.247 0 00.522 5.783 3.007 3.007 0 002.088 2.088c1.868.502 9.396.502 9.396.502s7.506 0 9.396-.502a3.007 3.007 0 002.088-2.088 31.247 31.247 0 00.5-5.783 31.247 31.247 0 00-.5-5.805zM9.609 15.601V8.408l6.264 3.602z"></path></svg><span class="screen-reader-text">Youtube</span></a><a href="https://www.instagram.com/bgoonz/?hl=en" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 0C8.74 0 8.333.015 7.053.072 5.775.132 4.905.333 4.14.63c-.789.306-1.459.717-2.126 1.384S.935 3.35.63 4.14C.333 4.905.131 5.775.072 7.053.012 8.333 0 8.74 0 12s.015 3.667.072 4.947c.06 1.277.261 2.148.558 2.913a5.885 5.885 0 001.384 2.126A5.868 5.868 0 004.14 23.37c.766.296 1.636.499 2.913.558C8.333 23.988 8.74 24 12 24s3.667-.015 4.947-.072c1.277-.06 2.148-.262 2.913-.558a5.898 5.898 0 002.126-1.384 5.86 5.86 0 001.384-2.126c.296-.765.499-1.636.558-2.913.06-1.28.072-1.687.072-4.947s-.015-3.667-.072-4.947c-.06-1.277-.262-2.149-.558-2.913a5.89 5.89 0 00-1.384-2.126A5.847 5.847 0 0019.86.63c-.765-.297-1.636-.499-2.913-.558C15.667.012 15.26 0 12 0zm0 2.16c3.203 0 3.585.016 4.85.071 1.17.055 1.805.249 2.227.415.562.217.96.477 1.382.896.419.42.679.819.896 1.381.164.422.36 1.057.413 2.227.057 1.266.07 1.646.07 4.85s-.015 3.585-.074 4.85c-.061 1.17-.256 1.805-.421 2.227a3.81 3.81 0 01-.899 1.382 3.744 3.744 0 01-1.38.896c-.42.164-1.065.36-2.235.413-1.274.057-1.649.07-4.859.07-3.211 0-3.586-.015-4.859-.074-1.171-.061-1.816-.256-2.236-.421a3.716 3.716 0 01-1.379-.899 3.644 3.644 0 01-.9-1.38c-.165-.42-.359-1.065-.42-2.235-.045-1.26-.061-1.649-.061-4.844 0-3.196.016-3.586.061-4.861.061-1.17.255-1.814.42-2.234.21-.57.479-.96.9-1.381.419-.419.81-.689 1.379-.898.42-.166 1.051-.361 2.221-.421 1.275-.045 1.65-.06 4.859-.06l.045.03zm0 3.678a6.162 6.162 0 100 12.324 6.162 6.162 0 100-12.324zM12 16c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4-1.79 4-4 4zm7.846-10.405a1.441 1.441 0 01-2.88 0 1.44 1.44 0 012.88 0z"></path></svg><span class="screen-reader-text">Instagram</span></a><a href="https://dev.to/bgoonz" target="_blank" rel="noopener " class="button button-icon"><svg class="icon" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M7.42 10.05c-.18-.16-.46-.23-.84-.23H6l.02 2.44.04 2.45.56-.02c.41 0 .63-.07.83-.26.24-.24.26-.36.26-2.2 0-1.91-.02-1.96-.29-2.18zM0 4.94v14.12h24V4.94H0zM8.56 15.3c-.44.58-1.06.77-2.53.77H4.71V8.53h1.4c1.67 0 2.16.18 2.6.9.27.43.29.6.32 2.57.05 2.23-.02 2.73-.47 3.3zm5.09-5.47h-2.47v1.77h1.52v1.28l-.72.04-.75.03v1.77l1.22.03 1.2.04v1.28h-1.6c-1.53 0-1.6-.01-1.87-.3l-.3-.28v-3.16c0-3.02.01-3.18.25-3.48.23-.31.25-.31 1.88-.31h1.64v1.3zm4.68 5.45c-.17.43-.64.79-1 .79-.18 0-.45-.15-.67-.39-.32-.32-.45-.63-.82-2.08l-.9-3.39-.45-1.67h.76c.4 0 .75.02.75.05 0 .06 1.16 4.54 1.26 4.83.04.15.32-.7.73-2.3l.66-2.52.74-.04c.4-.02.73 0 .73.04 0 .14-1.67 6.38-1.8 6.68z"></path></svg><span class="screen-reader-text">dev.to</span></a><a href="#">lorem-ipsum</a></div></div></div></footer></div></div><div id="gatsby-announcer" style="position:absolute;top:0;width:1px;height:1px;padding:0;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border:0" aria-live="assertive" aria-atomic="true"></div></div><script src="/js/plugins.js"></script><script src="/js/main.js"></script><script src="/js/page-load.js"></script><script src="/js/page-unload.js"></script><script id="gatsby-script-loader">/*<![CDATA[*/window.pagePath="/";/*]]>*/</script><script id="gatsby-chunk-mapping">/*<![CDATA[*/window.___chunkMapping={"polyfill":["/polyfill-c5f50f2ad13861331c8a.js"],"app":["/app-3c57265fe85c14101a0f.js"],"component---src-templates-advanced-js":["/component---src-templates-advanced-js-c66268766ef5c957450f.js"],"component---src-templates-blog-js":["/component---src-templates-blog-js-36eb4fae1add87ca6010.js"],"component---src-templates-docs-js":["/component---src-templates-docs-js-04c8725434b0191ce73b.js"],"component---src-templates-page-js":["/component---src-templates-page-js-88a1fc3bb1682201f884.js"],"component---src-templates-post-js":["/component---src-templates-post-js-319d9710badd9f64ef9a.js"]};/*]]>*/</script><script src="/polyfill-c5f50f2ad13861331c8a.js" nomodule=""></script><script src="/component---src-templates-advanced-js-c66268766ef5c957450f.js" async=""></script><script src="/commons-648a18e188322b9f8fda.js" async=""></script><script src="/29107295-4796dbfd2443d7c4719f.js" async=""></script><script src="/styles-7d4153d260c0197f0043.js" async=""></script><script src="/app-3c57265fe85c14101a0f.js" async=""></script><script src="/framework-ee588a66ec21b993116b.js" async=""></script><script src="/webpack-runtime-6c9e632a20f2c2aae8bc.js" async=""></script></body></html>`

## Heading-level outline

<h1> I am a musician, electrical engineer & web developer

<h2> \[missing\]

<h3> \[missing\]

<h4> \[missing\]

<h5> \[missing\]

<h6> A passionate student of web development from New Jersey U.S.A

<h3> A Quick Guide To Big O

<h3> Python Guide

<h3> Guitar Effects Triggering w DTW

<h3> Beginner Guide React

<h3> Scope & Closure

<h3> My Medium Blog

<h2> Web Audio DAW

<h2> Music

<h2> Spotify

<h2> Current Interests

<h3> Angolia

<h2> Full Text Search

<h2> \[empty\]

<h3> Convolutional Neural Networks

<h3> Jamstack

<h2> Why Jamstack

<h2> Resume & Portfolio

<h3> Resume

<h3> Showcase

<h2> Mini Projects

<h2> Code Playground(s)

<h2> Mini Projects

<h2> Blog-Archive

<h2> Nextjs & SanityCMS Blog W Comments

<h2> Contact

## Structural outline

1.  \[body element with no heading\]
    1.  \[nav element with no heading\]
    2.  I am a musician, electrical engineer & web developer
        1.  A passionate student of web development from New Jersey U.S.A
    3.  A Quick Guide To Big O
    4.  Python Guide
    5.  Guitar Effects Triggering w DTW
    6.  Beginner Guide React
    7.  Scope & Closure
    8.  My Medium Blog
    9.  Web Audio DAW
    10. Music
    11. Spotify
    12. Current Interests
    13. Angolia
    14. Full Text Search
    15. \[h2 element with empty heading\]
    16. Convolutional Neural Networks
    17. Jamstack
    18. Why Jamstack
    19. Resume & Portfolio
    20. Resume
    21. Showcase
    22. Mini Projects
    23. Code Playground(s)
    24. Mini Projects
    25. Blog-Archive
    26. Nextjs & SanityCMS Blog W Comments
    27. Contact

Used the schema for HTML + SVG 1.1 + MathML 3.0 + RDFa Lite 1.1.

Used the HTML parser. Externally specified character encoding was UTF-8.

Total execution time 170 milliseconds.

---

[About this Service](https://about.validator.nu/) • [Simplified Interface](chrome-extension://html5.validator.nu/)

[Source](https://validator.nu/?doc=https%3A%2F%2Fbgoonz-blog.netlify.app%2F&laxtype=yes&showimagereport=yes&showsource=yes&showoutline=yes)
